Summary: japanized Ivtools
Name: jp-ivtools
%define version 0.6.5
%define prefix /opt
#%define prefix /usr/local
Version: %{version}
Release: 1a
Source0: http://www.vectaport.com/pub/src/ivtools-%{version}.tgz
Source1: localhost:/README.3_1J
Source2: localhost:/README.JIV
Source3: localhost:/drawtool-%{version}jp.ad
Source4: localhost:/idraw-3_1j.ad
Patch0: localhost:/ivtools-0.6jp-2.0gamma.patch
Patch1: localhost:/ivtools-0.6-ppc.patch

Copyright: distributable
Group: Applications/Graphics
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>

%description
ivtools is a framework for building custom drawing editors and
servers.  It is a collection of C++ libraries and example programs
that incorporates and evolves the last source tree for InterViews 3.1
published by Stanford University and Silicon Graphics (3.2a.tar.Z).

ivtools comprises four sets of interrelated capabilities useful for
application programmers.  The first set is the libraries and example
programs we borrowed whole from InterViews 3.1.  The second set is for
reusing and extending the light-weight glyph objects of InterViews
3.1.  The third set reuses and extends the Unidraw library (Unidraw is
a major portion of the overall InterViews 3.1 release that provides an
application framework for custom drawing editors).  The fourth set
adds a command interpreter and server mechanism to ivtools, and
demonstrates these capabilities with text, glyph, and graphic
front-ends.

The Japanization part of the package is based on the freeBSD
port of a Japanization patch for InterViews3.1 (iv3_1j_gamma.tar.gz)
prepared by Eto <eto@ai.cs.fujitsu.co.jp>, et al.
See README.3_1J and README.JIV for details.

%changelog
* Tue Jun 9 1998 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st relese with ivtools-0.6.5
- ivxt is not built for the moment.

%prep
%setup -n ivtools-0.6
%patch0 -p1
%ifarch ppc
%patch1 -p1
%endif
cp -p $RPM_SOURCE_DIR/README* .
cp -p $RPM_SOURCE_DIR/*.ad .
cd config
mv site.def.LINUX site.def.LINUX.ORIG
sed -e "s;/usr/local/ivtools;%{prefix}/ivtools;" \
    -e "s;ProjectDir /proj;ProjectDir $RPM_BUILD_DIR;" \
	site.def.LINUX.ORIG > site.def.LINUX

%build
export CPU=`make CPU`
make World XCONFIGDIR=/usr/lib/X11/config

%install
export CPU=`make CPU`
make install

%post
if [ `grep -c %{prefix}/ivtools/lib /etc/ld.so.conf` = 0 ]; then
        echo "%{prefix}/ivtools/lib" >>/etc/ld.so.conf
fi
/sbin/ldconfig

%postun
if [ `grep -c %{prefix}/ivtools/lib /etc/ld.so.conf` != 0 ]; then
        grep -v "%{prefix}/ivtools/lib" /etc/ld.so.conf >/etc/IV_ld.so.conf
        mv /etc/IV_ld.so.conf /etc/ld.so.conf
fi
/sbin/ldconfig

%files
%doc CHANGES* COPYRIGHT INSTALL PATCHLEVEL.JIV README* VERSION *.ad
%dir %{prefix}/ivtools
%dir %{prefix}/ivtools/bin
%{prefix}/ivtools/bin/*
%{prefix}/ivtools/config
%{prefix}/ivtools/include
%{prefix}/ivtools/share
%dir %{prefix}/ivtools/lib
%{prefix}/ivtools/lib/*.so*
